## org.eclipse.datatools.sqltools.editor.template
Class SQLTemplateFormatter

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.template.SQLTemplateFormatter

    public class SQLTemplateFormatter

extends java.lang.Object

A template editor using the SQL formatter to format a template buffer.

Author:
  Hui Cao

Constructor Summary
`SQLTemplateFormatter()`

Method Summary
`void` `format(TemplateBuffer buffer, java.lang.String indent)` Formats the template buffer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLTemplateFormatter

    public SQLTemplateFormatter()

Method Detail

### format

    public void format(TemplateBuffer buffer,
                       java.lang.String indent)
                throws BadLocationException

  Formats the template buffer.

  Parameters:
    `buffer` -
    `indent` -
  Throws:
    `BadLocationException`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.